%% Plot Simulations

figure('Name', 'Theta_p x');
plot(theta_p_x.signals.values*180/pi, theta_p_y.signals.values*180/pi);
title('Angular displacement of Pendulum Body');
xlabel('Pendulum angle in x-axis, \theta_p [deg]');
ylabel('Pendulum angle in y-axis, \theta_p [deg]');

figure('Name', 'dTheta_w');
plot(dtheta_w_y.time, dtheta_w_y.signals.values*30/pi,'-', dtheta_w_x.time, dtheta_w_x.signals.values*30/pi, '-.');
title('Angular velocity of Reaction Wheels');
xlabel('Time, t [s]');
ylabel('Angular Velocity, d\theta_w [rpm]');
legend('d\theta_w y-axis','d\theta_w x-axis');

figure('Name', 'Torque');
plot(torque_y.time, torque_y.signals.values,'-', torque_x.time, torque_x.signals.values, '-.');
title('Torque applied to Reaction Wheels');
xlabel('Time, t [s]');
ylabel('Motor Torque, \tau [gcm]');
legend('\tau y-axis','\tau x-axis');

figure('Name', 'dTheta_p');
plot(dtheta_p_y.time, dtheta_p_y.signals.values*180/pi,'-', dtheta_p_x.time, dtheta_p_x.signals.values*180/pi, '-.');
title('Angular velocity of Pendulum Body');
xlabel('Time, t [s]');
ylabel('Angular Velocity, d\theta_p [deg/s]');
legend('d\theta_p y-axis','d\theta_p x-axis');

%% Plot Simulations Subplot

figure('Name', 'Theta_p');
subplot(2,2,1);
plot(theta_p_y.time, theta_p_y.signals.values*180/pi,'-', theta_p_x.time, theta_p_x.signals.values*180/pi, '-.');
title('Angular displacement');
xlabel('Time, t [s]');
ylabel('Pendulum angle, \theta_p [deg]');
legend('\theta_p y-axis','\theta_p x-axis');

%figure('Name', 'Theta_p x');
subplot(2,2,2);
plot(theta_p_x.signals.values*180/pi, theta_p_y.signals.values*180/pi);
title('Angular displacement');
xlabel('Pendulum angle in x-axis, \theta_p [deg]');
ylabel('Pendulum angle in y-axis, \theta_p [deg]');

%figure('Name', 'dTheta_w');
subplot(2,2,3);
plot(dtheta_w_y.time, dtheta_w_y.signals.values*30/pi,'-', dtheta_w_x.time, dtheta_w_x.signals.values*30/pi, '-.');
title('Angular velocity of Reaction Wheels');
xlabel('Time, t [s]');
ylabel('Angular Velocity, d\theta_w [rpm]');
legend('d\theta_w y-axis','d\theta_w x-axis');

%figure('Name', 'Torque');
subplot(2,2,4);
plot(torque_y.time, torque_y.signals.values,'-', torque_x.time, torque_x.signals.values, '-.');
title('Torque applied to Reaction Wheels');
xlabel('Time, t [s]');
ylabel('Motor Torque, \tau [gcm]');
legend('\tau y-axis','\tau x-axis');


